Subject: Re: Problems with VR17 on HP-UX 10.20

From: "Carol L. Evers" <[email-masked]>
Date: Thu, 15 Apr 1999 08:08:25 -0500

Greg,

Someone else mentioned the Trusted thing too.  I checked the config.hpx file
from VR15 and it had TRUSTED undef, but in VR17 you have TRUSTED define.  I
changed it back to undef, and both anonymous and guest users work fine now.

Carol Evers
UNIX Administrator
Imation Enterprises Corp.

Gregory A Lundberg <"lundberg+wuftpd"@vr.net> on 04/14/99 07:06:14 PM

To:   Carol L. Evers/IT/Imation@Imation
cc:   WU-FTPD Discussion List <[email-masked]>, WU-FTPD Questions
      <[email-masked]>
Subject:  Re: Problems with VR17 on HP-UX 10.20

On Wed, 14 Apr 1999, Carol L. Evers wrote:

> I am trying to install VR17 on my HP-UX box running 10.20.  The code
> compiles okay.  But when I install it, I am having problems with both
> anonymous and guest users.  Everything worked okay on VR15.
>
> For anonymous users, I get the message in syslog:
>
> Apr 14 13:08:05 ftp ftpd[24210]: FTP LOGIN REFUSED (ftp not in
> /etc/passwd) FROM 207.242.212.2 [207.242.212.2], anonymous
> Apr 14 13:08:05 ftp ftpd[24210]: FTP session closed
>
> I'm having a different problem for guest users:
>
> Apr 14 13:07:38 ftp ftpd[24209]: ACCESS DENIED (not in any class) TO
> 207.242.212.2 [207.242.212.2]
> Apr 14 13:07:38 ftp ftpd[24209]: FTP LOGIN REFUSED (access denied) FROM
> 207.242.212.2 [207.242.212.2], mmcvaradmin
> Apr 14 13:07:38 ftp ftpd[24209]: FTP session closed
>
> guestgroup guest
> guestgroup lguest
>
> I did a bin/ckconfig to make sure all the files are there.  I've also
> done a strings against the ftpd program to make sure its using the
> ftpaccess file I think it is.  I'm running out of ideas.  Any help
> would be appreciated.

I'm thinking the problem is a bad build.  Try one of the prebuilt binaries
from my FTP site (be sure to chose the right one for your system).  ISTM
someone else had a similar problem a few weeks ago and it turned out to
the trusted/nontrusted HP/UX and a switch in src/config/config.hpx which
was making it hard to get the right version.  Let me know how the
prebuilts work.

It looks like the guest user isn't EXPLICITLY listed in /etc/group as
member of the group guest or lguest; be sure to check that.

--

Gregory A Lundberg              Senior Partner, VRnet Company
1441 Elmdale Drive              [email-masked]
Kettering, OH 45409-1615 USA    1-800-809-2195